glab(1)

NAME
glab-cluster-agent-check_manifest_usage - Check agent configuration files for built-in GitOps manifests usage. (EXPERIMENTAL)

SYNOPSIS
glab cluster agent check_manifest_usage [flags]

DESCRIPTION
Checks the descendants of a group for registered agents with configuration files that rely on the deprecated GitOps manifests settings. The output can be piped to a tab-separated value (TSV) file.

This feature is experimental. It might be broken or removed without any prior notice. Read more about what experimental features mean at https://docs.gitlab.com/policy/development_stages_support/

Use experimental features at your own risk.

OPTIONS
-a, --agent-page=1
    Page number for projects.

-A, --agent-per-page=30
    Number of projects to list per page.

-g, --group=""
    Group ID to check.

-p, --page=1
    Page number for projects.

-P, --per-page=30
    Number of projects to list per page.

-r, --recursive[=false]
    Recursively check subgroups.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

SEE ALSO
glab-cluster-agent(1)